diff --git a/doc/src/sgml/release-18.sgml b/doc/src/sgml/release-18.sgml
index 6054df4f818..86c4a231684 100644
--- a/doc/src/sgml/release-18.sgml
+++ b/doc/src/sgml/release-18.sgml
@@ -372,6 +372,21 @@ Improve the performance of hash joins (David Rowley)
 </para>
 </listitem>
 
+<!--
+Author: Amit Langote <amitlan@postgresql.org>
+2025-04-04 [88f55bc97] Make derived clause lookup in EquivalenceClass more effi
+Author: David Rowley <drowley@postgresql.org>
+2025-04-08 [d69d45a5a] Speedup child EquivalenceMember lookup in planner
+-->
+
+<listitem>
+<para>
+Allow partitions to be pruned more efficienty (Ashutosh Bapat, Yuya Watari, David Rowley)
+<ulink url="&commit_baseurl;88f55bc97">&sect;</ulink>
+<ulink url="&commit_baseurl;d69d45a5a">&sect;</ulink>
+</para>
+</listitem>
+
 <!--
 Author: Amit Langote <amitlan@postgresql.org>
 2025-01-30 [bb3ec16e1] Move PartitionPruneInfo out of plan nodes into PlannedSt
@@ -381,20 +396,15 @@ Author: Amit Langote <amitlan@postgresql.org>
 2025-02-07 [cbc127917] Track unpruned relids to avoid processing pruned relatio
 Author: Amit Langote <amitlan@postgresql.org>
 2025-02-20 [525392d57] Don't lock partitions pruned by initial pruning
-Author: Amit Langote <amitlan@postgresql.org>
-2025-04-04 [88f55bc97] Make derived clause lookup in EquivalenceClass more effi
-Author: David Rowley <drowley@postgresql.org>
-2025-04-08 [d69d45a5a] Speedup child EquivalenceMember lookup in planner
 -->
+
 <listitem>
 <para>
-Allow partitions to be pruned earlier, quicker, and skipped in more places (Amit Langote, Ashutosh Bapat, Yuya Watari, David Rowley)
+Avoid the locking of pruned partitions during planning (Amit Langote)
 <ulink url="&commit_baseurl;bb3ec16e1">&sect;</ulink>
 <ulink url="&commit_baseurl;d47cbf474">&sect;</ulink>
 <ulink url="&commit_baseurl;cbc127917">&sect;</ulink>
 <ulink url="&commit_baseurl;525392d57">&sect;</ulink>
-<ulink url="&commit_baseurl;88f55bc97">&sect;</ulink>
-<ulink url="&commit_baseurl;d69d45a5a">&sect;</ulink>
 </para>
 </listitem>
 
